# Tarfile created using git
# git clone git://git.moblin.org/clutter-imcontext
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define git_version 9043ff1
%define tarfile %{name}-%{version}.tar.bz2

%define major		0
%define api		0.1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name} %{api}

Name:		clutter-imcontext
Version:	0.1.6
Release:	%mkrel 5
Summary:	IMContext Framework Library for Clutter
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.moblin.org/
Source0:	%{tarfile}
BuildRequires:	glib2-devel
BuildRequires:	clutter-devel
BuildRequires:	gtk-doc

%description
IMContext Framework Library for Clutter.

%package -n %{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Runtime library for %{name}.

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package docs
Summary:	Documentation package for %{name}
Group:		Development/C
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description docs
Documentation for development with %{name}.

%prep
%setup -q

%build
# Don't run configure from autogen.sh
sed -i -e '/configure/d' autogen.sh
./autogen.sh

%configure2_5x \
        --enable-gtk-doc \
	--disable-static

%make V=1

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%dir %{_sysconfdir}/clutter-imcontext
%config %{_sysconfdir}/clutter-imcontext/enable_autoshow
%{_bindir}/clutter-scan-immodules

%files -n %{libname}
%doc AUTHORS ChangeLog
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files docs
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog

* Sat Jan 12 2013 fwang <fwang> 0.1.6-5.mga3
+ Revision: 359730
- fix requires of doc package

* Fri Jan 11 2013 umeabot <umeabot> 0.1.6-4.mga3
+ Revision: 347942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 dmorgan <dmorgan> 0.1.6-3.mga2
+ Revision: 199538
- Own %%{_sysconfdir}/clutter-imcontext

* Tue Nov 22 2011 wally <wally> 0.1.6-2.mga2
+ Revision: 171044
- fix doc pkg group
- rebuild for new clutter

* Tue Jun 28 2011 wally <wally> 0.1.6-1.mga2
+ Revision: 115459
- clean .spec

  + cjw <cjw>
    - imported package clutter-imcontext

